Package org.firebirdsql.jdbc.parser

## Interface StatementParser

All Known Implementing Classes:
  `StatementParserImpl`

    public interface StatementParser

Interface for accessing the parser. This is intended to shield the rest of Jaybird from problems when the antlr-runtime is not on the classpath.

Since:
  2.2
Author:
  Mark Rotteveel

### Nested Class Summary

Nested Classes
`static class` `StatementParser.ParseException` Exception to wrap other exceptions when parsing.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`JaybirdStatementModel` `parseInsertStatement​(java.lang.String sql)` Deprecated. Use `parseStatement(String)` instead; will be removed in Jaybird 5
`JaybirdStatementModel` `parseStatement​(java.lang.String sql)` Parses the provided SQL into a statement model

### Method Detail

#### parseInsertStatement

    @Deprecated
    JaybirdStatementModel parseInsertStatement​(java.lang.String sql)
                                        throws StatementParser.ParseException

Deprecated.
Use `parseStatement(String)` instead; will be removed in Jaybird 5
Parses the provided SQL into a statement model

Implementation must call `parseStatement(String)`.

Parameters:
  `sql` - SQL query text to parse
Returns:
  Statement model
Throws:
  `StatementParser.ParseException` - For errors parsing the query

#### parseStatement

    JaybirdStatementModel parseStatement​(java.lang.String sql)
                                  throws StatementParser.ParseException

Parses the provided SQL into a statement model

Parameters:
  `sql` - SQL query text to parse
Returns:
  Statementmodel
Throws:
  `StatementParser.ParseException` - For errors parsing the query